@charset "UTF-8";

@import url('https://fonts.googleapis.com/css2?family=Comic+Neue&display=swap');

:root {
  --primary: #34312d;
  --primarydark: #221f1a;
  --lightgrey: #aeaeae;
  --darkgrey: #444748;
  --orange: #d3821f;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: sans-serif;
  font-size: calc(10px + 0.5vw);
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  font-family: 'Comic Neue', sans-serif;
  text-align: center;
  background-color: var(--primary);
  color: var(--lightgrey);
}

html, body {
  height:100%;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5em;
  background-color: var(--primarydark);
  color: white;
}

header p {
  display: inline-block;
}

a {
  text-decoration: none;
  color: var(--lightgrey);
}

a:hover {
  color: var(--orange);
}

.selection-box {
  padding: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.character-selection a {
  display: block;
  margin: 1em;
  border: 3px solid var(--lightgrey);
  border-radius: 5px;
  font-size: 1.2em;
  font-weight: bold;
  width: auto;
  background-color: var(--primarydark);
  transition: 0.3s;
}

.character-selection a img {
  width: 8em;
  height: 8em;
  object-fit: cover;
  border-bottom: 3px solid var(--lightgrey);
}

.character-selection a p {
  background-color: var(--primarydark);
}

.character-selection a:hover {
  border-color: white;
  transform: scale(1.1);
}

#add-character {
  padding: 1em;
  font-size: 2em;
}

.del-character {
  text-decoration: none;
  background-color: var(--primary);
  border: none;
  color: var(--lightgrey);
  font-size: 1.2em;
}

.del-character:hover {
  color: var(--orange);
}

.text-warning {
  color: var(--orange);
}

.text-small {
  font-size: 0.8em;
}

.form-box {
  margin: 1em auto;
  padding: 0.5em;
  border: 1px solid var(--primarydark);
  max-width: 50%;
}

.form-label {
  padding: 0.5em;
}

.form-field {
  margin-bottom: 1em;
}

.separator {
  margin: 1em auto;
  width: 10em;
  border-color: var(--orange);
  border-width: 2px;
}

.form-button {
  cursor: pointer;
  background-color: transparent;
  border: 2px solid var(--lightgrey);
  border-radius: 10px;
  text-align: center;
  text-decoration: none;
  margin: 1em;
  padding: 0.5em;
  color: inherit;
  font-weight: bold;
  font-size: 1em;
}

.form-button:hover {
  border: 2px solid var(--orange);
  color: var(--orange);
}

.pts-box {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1em;
}

.pts-subbox {
  margin: 2em;
}

.attr-pts {
  text-decoration: none;
  background-color: inherit;
  border: 2px solid var(--lightgrey);
  border-radius: 10px;
  font-size: 1.8em;
  width: 2em;
  height: 2em;
  color: inherit;
  text-align: center;
}

.attr-button {
  cursor: pointer;
  background-color: transparent;
  border: 2px solid var(--lightgrey);
  border-radius: 10px;
  text-align: center;
  text-decoration: none;
  padding-bottom: 0.2em;
  color: inherit;
  font-weight: bold;
  font-size: 1em;
  width: 2em;
  height: 2em;
}

.attr-button:hover {
  border: 2px solid var(--orange);
  color: var(--orange);
}

#pts-remain {
  padding: 0.5em;
  border: 2px solid var(--lightgrey);
  border-radius: 10px;
  font-size: 1.8em;
  font-weight: bold;
  width: 3em;
}

#character {
  padding: 1em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  background-color: var(--primary);
  color: var(--lightgrey);
  text-align: left;
  min-height: 12em;
}

.portrait {
  overflow: auto;
}

.portrait img {
  float: left;
  border-radius: 50%;
  border: 2px outset black;
  width: 8em;
  height: 8em;
  object-fit: cover;
}

.portrait-name {
  display: inline-block;
}

.portrait-lvl {
  margin-top: 3.5em;
}

.portrait-lvl label{
  font-size: 1.8em;
}

#xp {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 0.2em;
  width: 7em;
  background: var(--primarydark);
  margin-bottom: 0.2em;
  margin-left: 0.2em;
}

#xp::-webkit-meter-bar {
  background: var(--orange);
}

#xp::-moz-meter-bar {
  background: var(--orange);
}

#attributs td {
  padding: 0.5em;
  font-size: 1.2em;
}

#modifiers td {
  padding: 0.2em;
}

#action-box {
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 3px solid var(--darkgrey);
  background-color: var(--primarydark);
}

#action-box p {
  color: var(--orange);
  padding: 0.2em;
  width: 50%;
  min-height: 1.8em;

}

#action-box button {
  margin: 0;
  padding: 0.2em;
  cursor: pointer;
  background-color: transparent;
  border: 2px solid var(--lightgrey);
  text-align: center;
  text-decoration: none;
  color: inherit;
  font-weight: bold;
  font-size: 1em;
}

#action-box button i {
  padding-left: 0.2em;
}

#action-box button:hover {
  border: 2px solid var(--orange);
  color: var(--orange);
}

@keyframes slidedown {
  from { height: 0; }
  to { height: 24em; }
}

.slidedown {
  animation: slidedown 1s ease-out forwards;
}

@keyframes slideup {
  from { height: 24em; }
  to { height: 0; }
}

.slideup {
  animation: slideup 1s ease-in forwards;
}

@keyframes slideright {
  from { left: -100vw; opacity: 0; }
  to { left: 0; opacity: 1; }
}

.slideright {
  animation: slideright 0.4s linear forwards;
}

@keyframes slideleft {
  from { left: 0; opacity: 1; }
  to { left: -100vw; opacity: 0; }
}

.slideleft {
  animation: slideleft 0.4s linear forwards;
}

.hand-tab {
  padding: 0.2em;
  background-color: var(--darkgrey);
  color: white;
  cursor: pointer;
}

#hand {
  height: 0;
  overflow-x: scroll;
}

#ground {
  flex-wrap: wrap;
}

#hand .card {
  position: relative;
  left: -100vw;
  opacity: 0;
}

#zone h2 {
  color: white;
}

#ground .card {
  position: relative;
  left: 0;
}

.bg-img {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.card-mat{
  padding: 0 1em 0 1em;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin: 1.5em;
  border: 6px solid #313841;
  border-radius: 7px;
  width: 12em;
  height: 18em;
  min-width: 12em;
  min-height: 18em;
  background-color: #1e2329;
  box-shadow: 2px 2px 2px black;
  color: white;
  cursor: pointer;
  transition: 0.3s;
}

.card:hover {
  transform: scale(1.1);
  box-shadow: 2px 2px 8px black;
}

.card-id {
  display: none;
}

.card-inner-bg {
  background-color: rgba(5, 5, 5, 0.3);
  -webkit-backdrop-filter: blur(2px);
  backdrop-filter: blur(2px);
}

.card-top {
  margin-top: 0.5em;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.card-value {
  margin: 0.2em;
  padding: 0.2em;
  font-weight: bold;
  width: 2em;
  height: 2em;
  border: 3px solid white;
  border-radius: 50%;
}

.card-title {
  text-align: left;
}

.card-title h3 {
  padding: 0.2em;
}

.card-title h4 {
  padding: 0 0 0 0.5em;
  color: lightgrey;
}

.card-offset {
  height: 6em;
}

.card-txt {
  margin-bottom: 0.5em;
}

.card-info {
  padding: 0.2em;
  font-style: italic;
  color: var(--lightgrey);
}

.card-fx {
  padding: 0.2em;
  display: inline-block;
}


footer {
  text-align: center;
  background-color: lightgrey;
  padding: 1em;
  border-top: 2px solid grey;
  color: white;
}

footer p {
  padding: 0.5em;
}

footer a {
  text-decoration: none;
  color: grey;
  padding: 1em;
  font-size: 1.5em;
}

footer a:hover {
  color: white;
}

@media screen and (max-width: 550px) {

}
